# Uses of Interface
java.security.SecureRandomParameters

Packages that use SecureRandomParameters
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of SecureRandomParameters in java.security

Classes in java.security that implement SecureRandomParameters
Modifier and Type
Class
Description
`static final class`
`DrbgParameters.Instantiation`
DRBG parameters for instantiation.
`static final class`
`DrbgParameters.NextBytes`
DRBG parameters for random bits generation.
`static final class`
`DrbgParameters.Reseed`
DRBG parameters for reseed.
Methods in java.security that return SecureRandomParameters
Modifier and Type
Method
Description
`protected SecureRandomParameters`
SecureRandomSpi.`engineGetParameters()`
Returns the effective `SecureRandomParameters` for this `SecureRandom` instance.
`SecureRandomParameters`
SecureRandom.`getParameters()`
Returns the effective `SecureRandomParameters` for this `SecureRandom` instance.
Methods in java.security with parameters of type SecureRandomParameters
Modifier and Type
Method
Description
`protected void`
SecureRandomSpi.`engineNextBytes(byte[] bytes, SecureRandomParameters params)`
Generates a user-specified number of random bytes with additional parameters.
`protected void`
SecureRandomSpi.`engineReseed(SecureRandomParameters params)`
Reseeds this random object with entropy input read from its entropy source with additional parameters.
`static SecureRandom`
SecureRandom.`getInstance(String algorithm, SecureRandomParameters params)`
Returns a `SecureRandom` object that implements the specified Random Number Generator (RNG) algorithm and supports the specified `SecureRandomParameters` request.
`static SecureRandom`
SecureRandom.`getInstance(String algorithm, SecureRandomParameters params, String provider)`
Returns a `SecureRandom` object that implements the specified Random Number Generator (RNG) algorithm and supports the specified `SecureRandomParameters` request.
`static SecureRandom`
SecureRandom.`getInstance(String algorithm, SecureRandomParameters params, Provider provider)`
Returns a `SecureRandom` object that implements the specified Random Number Generator (RNG) algorithm and supports the specified `SecureRandomParameters` request.
`void`
SecureRandom.`nextBytes(byte[] bytes, SecureRandomParameters params)`
Generates a user-specified number of random bytes with additional parameters.
`void`
SecureRandom.`reseed(SecureRandomParameters params)`
Reseeds this `SecureRandom` with entropy input read from its entropy source with additional parameters.
Constructors in java.security with parameters of type SecureRandomParameters
Modifier
Constructor
Description
`protected`
`SecureRandomSpi(SecureRandomParameters params)`
Constructor with a parameter.